# **[Django Admin Atlantis](https://appseed.us/product/atlantis-dark/django/)**

**Django** starter styled with **[Atlantis PRO](https://appseed.us/product/atlantis-dark/django/)**, a premium `Bootstrap 4` design from `ThemeKita`.
The product is designed to deliver the best possible user experience with highly customizable feature-rich pages. 

<br />

## Features: 

- **UI Kit**: Atlantis Lite BS4
- [Django Atlantis](https://appseed.us/product/atlantis-dark/django/) - `Sample project`
- **Sections Covered**: 
  - `Admin Section`, reserved for `superusers`
  - `All pages` managed by `Django.contrib.AUTH`
  - `Registration` page
  - `Misc pages`: colors, icons, typography, blank-page 

![Atlantis Dark - Starter generated by AppSeed.](https://user-images.githubusercontent.com/51070104/172799909-4cbc8eed-fdde-4408-ab61-123f235212d0.png)

<br />

## Why `Django Admin Atlantis`

- Modern [Bootstrap](https://www.admin-dashboards.com/bootstrap-5-templates/) Design
- `Responsive Interface`
- `Minimal Template` overriding
- `Easy integration`

Atlantis Dashboard comes with error/bug-free, well structured codebase that renders nicely in all major browsers and devices. 

<br />

## How to use it

<br />

> **Install the package** via `PIP` 

```bash
$ pip install django-admin-atlantis
// OR
$ pip install git+https://github.com/app-generator/django-admin-atlantis.git
```

<br />

> Add `admin_atlantis` application to the `INSTALLED_APPS` setting of your Django project `settings.py` file (note it should be before `django.contrib.admin`):

```python
    INSTALLED_APPS = (
        ...
        'admin_atlantis.apps.AdminAtlantisConfig',
        'django.contrib.admin',
    )
```

<br />

> Add `LOGIN_REDIRECT_URL` and `EMAIL_BACKEND` of your Django project `settings.py` file:

```python
    LOGIN_REDIRECT_URL = '/'
    # EMAIL_BACKEND = 'django.core.mail.backends.smtp.EmailBackend'
    EMAIL_BACKEND = 'django.core.mail.backends.console.EmailBackend'
```

<br />

> Add `admin_atlantis` urls in your Django Project `urls.py` file

```python
    from django.urls import path, include

    urlpatterns = [
        ...
        path('', include('admin_atlantis.urls')),
    ]
```

<br />

> **Collect static** if you are in `production environment`:

```bash
$ python manage.py collectstatic
```

<br />

> **Start the app**

```bash
$ # Set up the database
$ python manage.py makemigrations
$ python manage.py migrate
$
$ # Create the superuser
$ python manage.py createsuperuser
$
$ # Start the application (development mode)
$ python manage.py runserver # default port 8000
```

Access the `admin` section in the browser: `http://127.0.0.1:8000/`

<br />

---
**[Django Admin Atlantis](https://appseed.us/product/atlantis-dark/django/)** - Modern Admin Interface provided by **[AppSeed](https://appseed.us/)**
